<template>
  <div>
    <h4>Currency Converter</h4>
    Convert from:
    <select v-model="currentcurrency">
      <option v-for="item in currencies" v-bind:key="item.ccy">
        {{ item.ccy }}
      </option>
    </select>
    <br />
    Enter amount: <input type="number" v-model="amount" /> <br />
    <button @click="convert()">Convert to UAH</button>
    {{ amount }} {{ currentcurrency }} equals {{ resultcurrency | roundToDouble}} UAH
  </div>
</template>

<script>
import Vue from "vue";

export default {
  data: function () {
    return {
      currencies: [],
      currentcurrency: "",
      result: "",
      amount: 0,
      resultcurrency: 0,
      course: 0,
    };
  },
  mounted: function () {
    console.log(this);
    this.axios
      .get("https://api.privatbank.ua/p24api/pubinfo?json&exchange&coursid=5")
      .then((response) => {
        console.log(response.data);
        this.currencies = response.data;
      });
  },
  methods: {
    convert() {
      this.course = this.currencies.find(
        (item) => item.ccy == this.currentcurrency
      ).buy;
      this.resultcurrency = this.course * this.amount;
    },
  },
  filters: {
    roundToDouble: function (element) {
      return element.toFixed(2);
    },
  },
};
</script>

<style scoped>
</style>